Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.support
Class TestSuiteListenerAdapter

    java.lang.Object
      com.eviware.soapui.model.support.TestSuiteListenerAdapter

All Implemented Interfaces:
  TestSuiteListener

Direct Known Subclasses:
  WsdlLoadTestsModelItem.InternalTestSuiteListener, WsdlTestStepsModelItem.InternalTestSuiteListener

    public class TestSuiteListenerAdapter

extends java.lang.Object
implements TestSuiteListener

Adapter for TestSuiteListener implementations

Author:
  Ole.Matzura

Constructor Summary
`TestSuiteListenerAdapter()`

Method Summary
`void` | `loadTestAdded(LoadTest loadTest)`
`void` | `loadTestRemoved(LoadTest loadTest)`
`void` | `testCaseAdded(TestCase testCase)`
`void` | `testCaseMoved(TestCase testCase, int index, int offset)`
`void` | `testCaseRemoved(TestCase testCase)`
`void` | `testStepAdded(TestStep testStep, int index)`
`void` | `testStepMoved(TestStep testStep, int fromIndex, int offset)`
`void` | `testStepRemoved(TestStep testStep, int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestSuiteListenerAdapter

    public TestSuiteListenerAdapter()

Method Detail

### testCaseAdded

    public void testCaseAdded(TestCase testCase)

  Specified by:
    `testCaseAdded` in interface `TestSuiteListener`

### testCaseRemoved

    public void testCaseRemoved(TestCase testCase)

  Specified by:
    `testCaseRemoved` in interface `TestSuiteListener`

### testStepAdded

    public void testStepAdded(TestStep testStep,
                              int index)

  Specified by:
    `testStepAdded` in interface `TestSuiteListener`

### testStepRemoved

    public void testStepRemoved(TestStep testStep,
                                int index)

  Specified by:
    `testStepRemoved` in interface `TestSuiteListener`

### loadTestAdded

    public void loadTestAdded(LoadTest loadTest)

  Specified by:
    `loadTestAdded` in interface `TestSuiteListener`

### loadTestRemoved

    public void loadTestRemoved(LoadTest loadTest)

  Specified by:
    `loadTestRemoved` in interface `TestSuiteListener`

### testStepMoved

    public void testStepMoved(TestStep testStep,
                              int fromIndex,
                              int offset)

  Specified by:
    `testStepMoved` in interface `TestSuiteListener`

### testCaseMoved

    public void testCaseMoved(TestCase testCase,
                              int index,
                              int offset)

  Specified by:
    `testCaseMoved` in interface `TestSuiteListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.